array_equal(3)

NAME
array_equal - compare two arrays for equality

SYNTAX
#include <array.h> int array_equal(array* x,array* y);
  array x;
  array y;
  array_equal(&x,&y);

DESCRIPTION
array_equal returns nonzero if x and y have the same contents: i.e.,

•   x and y are both unallocated; or

•   x is unallocated, y is allocated, and y has no initialized bytes; or

•   x is allocated, y is unallocated, and x has no initialized bytes; or

•   x and y are both allocated and have the same sequence of initialized bytes.

Otherwise it returns 0.

SEE ALSO
array_allocate(3), array_get(3), array_fail(3), array_reset(3)